package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * 融云消息类型
 */
public enum ImSendTypeEnum implements BaseEnum<String, ImSendTypeEnum> {
	TXT("TXT", "文本"),
	IMG("IMG", "图片"),
	VC("VC", "语音"),
	FILE("FILE", "文件");

	private String code;

	private String msg;

	ImSendTypeEnum(String code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	@Override
	public String getCode() {
		return this.code;
	}
}
